Subject: RE: bug#17567: [External] : Re: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Drew Adams <[email-masked]>
Date: Sat, 25 Sep 2021 21:08:22 +0000

> > If you'd like me to check the fix (Stefan's request)
> > then please consider putting the new text in the bug
> > thread.  Otherwise, you'll just have to do without
> > my review and feedback, I guess.  Not a biggee (the
> > bug was anyway closed, without such a review).
> 
> This response makes no sense to me.  You don't mind writing the
> longest email messages ever, but refuse to type a 50-character URL
> into your browser?  Why?

This response makes no sense to me.  You don't mind
dragging out this thread, but pasting the updated
doc string into the thread, after requesting its
review, is too much trouble?  Why?

Reviewing text starts with the text to be reviewed.
And it's often collaborative - back & forth.  Doing
that in one place is more productive than sending a
reviewer off to some diffs somewhere.  A typical
doc review involves, well, doc, not just diffs.

> But whatever.

Indeed.

> > > If you refuse to do that, you are not helping
> > > the project as much as you could have.
> >
> > If you refuse to put the updated doc string in a bug
> > thread that asks only for a doc-string fix, then
> > you're not helping users, or the project, as much as
> > you could.  Copy...paste...send.  Simple.
> 
> No, it's not simple.  There's no place to copy/paste from, because
> installing a change usually doesn't involve looking at the diffs, or
> even producing them.  We edit the sources and commit them, that's it.

It's apparently too hard for someone who's fixed a
doc string to look at the edited result (sources)
in an Emacs buffer and copy that.  OK, got it.

It's likewise too hard for me to dig out the diffs
and reconstruct the resulting doc string from them,
in order to respond to a review request.

Not the end of the world, but the end of the review,
I guess.  Again, I didn't ask to review the fix.

(And the bug is already closed.  I didn't say a
word about that, except "Thanks".  I just responded
to the review request ("please verify"), with a
request for the text to review.)

> > (I'd even consider that common courtesy, but you're
> > by no means obliged to see courtesy the same way,
> > of course.)
> 
> Yes of course: everyone has to be courteous to you,
> but you don't feel you need to be courteous to others.

I do feel that need.  And I try to be courteous,
and I want to, even when some, such as yourself,
are needlessly aggressive, such as now.

And it's not about being courteous to me.  Showing
the text to be reviewed is, in my world, a normal,
courteous part of asking for a review - regardless
of who the review is requested from or who's doing
the requesting.

Asking for a review is asking for help.  Unnecessary
hurdles make it harder to help.  Filing bug reports,
just like fixing bugs, is helping, or trying to.
We're all volunteers here, though you seem to keep
opposing volunteers who fix problems to volunteers
who report them.  I'm thankful for both the fixers
and the reporters.